import * as express from "express";
import * as bodyParser from "body-parser";
import * as compression from "compression";
import * as cors from "cors";
import { DBConfig } from "../config/db.conf";
import { Routes } from "../routes/index";

export class ApiConfig {
    static init(application: express.Application, router: express.Router): void {
        application.use(bodyParser.json());
        DBConfig.init();
        Routes.init(application, router);
    }
}
