import * as mongoose from "mongoose";
let dbConst = require("../constants/db.json");

export class DBConfig {
    static init(): void {
      const URL = (process.env.NODE_ENV === "production") ? process.env.MONGODB_ADDRESS
                                                          : dbConst.localhost;

      console.log("Connecting to DB...");                                                    
      mongoose.connect(URL);
      mongoose.connection.on("connected", console.log.bind(console, "Stablished a DB connection"));
      mongoose.connection.on("error", console.error.bind(console, "An error ocurred with the DB connection: "));
    }
};
