"use strict";

import * as express from "express";
import { GreetingsController } from "./greetings.controller";
import { injectable } from "inversify";

@injectable()
export class GreetingsRoutes {

    constructor(private _greetingsController: GreetingsController) {
    }

    init(router: express.Router) {
        router
            .get("/greetings", async (req, res) => {
                try {
                    let result = await this._greetingsController.sayHello();
                    res.json(result);
                } catch (error) {
                    res.status(500).json(error);
                }
            });

        router
            .post("/greetings", async (req, res) => {
                try {
                    let result = await this._greetingsController.createGreetings(req.body);
                    res.json(result);
                } catch (error) {
                    res.status(500).json(error);
                }
            });
    }
}
