"use strict";

let PORT = process.env.PORT || 3334;

import * as express from "express";
import * as os from "os";
import * as http from "http";
import * as fs from "fs";
import * as path from "path";
import * as bodyParser from "body-parser";
import { ApiConfig } from "./api/config/api.conf";

var compression = require("compression");
var zlib = require("zlib");

const app = express();

let _root = process.cwd();
var _nodeModules = "/node_modules/";
var _clientFiles = "/app/";
app.use(compression({
    level: zlib.Z_BEST_COMPRESSION,
    threshold: "1kb"
}));


app.use('/node_modules', express.static(_root + _nodeModules));
app.use(express.static(_root + _clientFiles));
var router = express.Router();
ApiConfig.init(app, router);
app.use("/api", router);
app
    .get("/*", (req: express.Request, res: express.Response) => {
        const _env = process.env.NODE_ENV;        
        res.type(".html");
        fs.createReadStream(path.join(`${_root}/app/index.html`)).pipe(res);
    });


http.createServer(app)
    .listen(PORT, () => {
        console.log(`up and running @: ${os.hostname()} on port: ${PORT}`);
        console.log(`enviroment: ${process.env.NODE_ENV}`);
        console.log(`node modules are in : ${_root + _nodeModules}`);
    });