import { NgModule } from "@angular/core";
import { HttpModule } from "@angular/http";
import { FormsModule, FormBuilder } from "@angular/forms";
import { BrowserModule } from "@angular/platform-browser";
import { RouterModule, PreloadAllModules } from '@angular/router';

/*
 * Platform and Environment providers/directives/pipes
 */
import { ROUTES } from './app.routes';

import { AppComponent } from "./app.component";
import { HomeComponent } from "./home";
import { GreetingService } from "./home/greeting.service";
import { Constants } from "./constants/constants";

import '../assets/css/styles.css';

@NgModule({
  imports: [
    BrowserModule,
    FormsModule,
    HttpModule,
    RouterModule.forRoot(ROUTES, { useHash: true, preloadingStrategy: PreloadAllModules })    
  ],
  declarations: [
    AppComponent,    
    HomeComponent    
  ],
  providers: [    
    Constants,
    GreetingService
  ],
  bootstrap: [ AppComponent ]
})
export class AppModule { }
