import { Inject, Injectable } from "@angular/core";
import { Observable } from "rxjs/Observable";
import { Http, Headers } from "@angular/http";
import "rxjs/add/operator/map";
import 'rxjs/add/operator/toPromise';
import { Constants } from "../constants/constants";

@Injectable()
export class GreetingService {
    private _greetingResource: string = "/greetings";

    constructor( @Inject(Http) private _http: Http, private _constants: Constants) {
    }

    async sayHello() {
        let headers = new Headers();
        headers.append("Content-Type", "application/json");

        let greetingResponse = await this._http
            .get(this._constants.endpointBaseUrl + this._greetingResource, { headers })
            .toPromise();

        if (greetingResponse.json() && greetingResponse.json().length > 0) {
            return greetingResponse.json()[0];
        }

        return null;
    }
}
